> For a complete page index, fetch https://docs.transak.com/llms.txt # Get KYC - IdProof Status GET https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status The **Get KYC - IdProof Status** is an **authenticated API** call allows you to **dynamically retrieve the current status** of the `idProof` KYC workflow, specifically related to submissions processed via **Onfido**. - Initially, the status will be returned as **`NOT_SUBMITTED`**, indicating that the user has not yet completed or submitted their KYC information. - Once the KYC information has been **successfully submitted to Onfido**, the status automatically updates to **`SUBMITTED`**. This API is particularly useful for identifying the **precise point** at which a user has completed the document verification step through Onfido. It enables real-time tracking of the user's KYC progression, ensuring smoother orchestration of downstream steps in the onboarding flow. Reference: https://docs.transak.com/api/whitelabel/kyc/get-kyc-idproof-status ## Request ### Query parameters - `workFlowRunId` (string, required) — workFlowRunId received in `Get Additional Requirements` API ### Headers - `x-user-ip` (string, required) — End user's originating IP. More details [here](/guides/mandatory-security-changes#user-ip-header-in-apis) - `x-api-key` (string, required) — Partner API Key present in Transak Dashboard. - `authorization` (string, optional) — Authorization token is the accessToken received from the API -` api/v2/auth/verify` Note: This is not applicable for [Auth Reliance Flows](/features/auth-reliance) - `x-user-identifier` (string, optional) — Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) - `x-access-token` (string, optional) — Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) ## Response ### 200 200 - Submitted - `data` (ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaData, required) ## Errors ### 400 Bad Request Error 400 - Bad Request - `error` (ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError, required) ### 401 Unauthorized Error 401 - Unauthorized - `error` (ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError, required) ### 404 Not Found Error 404 - User Not Found - `error` (ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError, required) ### 500 Internal Server Error 500 - Internal Server Error - `error` (ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError, required) ## Types ### ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaData - `status` (string, required) - `kycType` (string, required) ### ApiV2KycIdProofStatusGetResponsesContentApplicationJsonSchemaError - `statusCode` (integer, required) - `message` (string, required) ## Examples ### IdProof Not Submitted **Response** ```json { "data": { "status": "NOT_SUBMITTED", "kycType": "STANDARD" } } ``` **SDK Code** ```python IdProof Not Submitted import requests url = "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status" querystring = {"workFlowRunId":""} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript IdProof Not Submitted const url = 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId='; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go IdProof Not Submitted package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby IdProof Not Submitted require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java IdProof Not Submitted import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php IdProof Not Submitted request('GET', 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp IdProof Not Submitted using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId="); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift IdProof Not Submitted import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### IdProof Submitted **Response** ```json { "data": { "status": "SUBMITTED", "kycType": "STANDARD" } } ``` **SDK Code** ```python IdProof Submitted import requests url = "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status" querystring = {"workFlowRunId":""} headers = { "x-api-key": "", "x-user-ip": "" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript IdProof Submitted const url = 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId='; const options = {method: 'GET', headers: {'x-api-key': '', 'x-user-ip': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go IdProof Submitted package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") req.Header.Add("x-user-ip", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby IdProof Submitted require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' request["x-user-ip"] = '' response = http.request(request) puts response.read_body ``` ```java IdProof Submitted import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=") .header("x-api-key", "") .header("x-user-ip", "") .asString(); ``` ```php IdProof Submitted request('GET', 'https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=', [ 'headers' => [ 'x-api-key' => '', 'x-user-ip' => '', ], ]); echo $response->getBody(); ``` ```csharp IdProof Submitted using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId="); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); request.AddHeader("x-user-ip", ""); IRestResponse response = client.Execute(request); ``` ```swift IdProof Submitted import Foundation let headers = [ "x-api-key": "", "x-user-ip": "" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/kyc/id-proof-status?workFlowRunId=")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```